=== debian/changelog ===
libnewuoa (0.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Maarten L. Hekkelman ]
  * fix for autopkgtest

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Dec 2020 12:57:46 -0500

libnewuoa (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #976272)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 02 Dec 2020 16:25:54 +0100
