=== debian/changelog ===
libnewuoa (0.1.2-1) unstable; urgency=medium

  * New upstream release, adding cmake config.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 23 Nov 2022 14:17:25 +0100
