=== debian/control ===
Source: libnewuoa
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/libnewuoa
Vcs-Git: https://salsa.debian.org/med-team/libnewuoa.git
Homepage: https://github.com/elsid/newuoa-cpp
Rules-Requires-Root: no

Package: libnewuoa-dev
Section: libdevel
Architecture: any
Depends:
 libnewuoa0 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for libnewuoa
 This library contains the C++ implementation of the NEWUOA derivative free
 optimization algorithm originally published by Michael J. D. Powell.
 .
 This specific package contains all files needed to develop new
 software using libnewuoa.

Package: libnewuoa0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library file for libnewuoa
 This library contains the C++ implementation of the NEWUOA derivative free
 optimization algorithm originally published by Michael J. D. Powell.
 .
 This package contains the shared library file only.
