=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAK_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)"
+		-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
+		-DBUILD_SHARED_LIBS=ON
