=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential
Restrictions: allow-stderr
