=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/newuoa-cpp-$1\.tar\.gz/ \
  https://github.com/elsid/newuoa-cpp/tags .*/v?(\d\S+)\.tar\.gz
